extern double lots = 0.1;
extern double stopsize = 20;
extern double profsize = 10;
extern double Risk =5;
int err;
int ticket;
double stop;
double prof;

int init()   { return(0); }
int deinit() { return(0); }

int start()
{
int TotalOrders = 0;
      for (int i=0; i <= OrdersTotal(); i++)
      {
         if (OrderSelect(i,SELECT_BY_POS,MODE_TRADES))
         if (OrderSymbol() == Symbol())
            TotalOrders++;
      }  
      if (TotalOrders<1)
      {      
         double sl = stopsize*Point*MathPow(10,Digits%2);
         double tp = profsize*Point*MathPow(10,Digits%2);
            stop   = (Ask-sl);
            prof   = (Ask+tp);
            ticket = OrderSend(Symbol(), OP_BUY, getLots(sl,Risk), Ask, 3, 0, 0, NULL,LimeGreen);
         OrderModify( ticket, OrderOpenPrice(), stop, prof, 0, Blue);
       
         
      }
      err=GetLastError();
      Comment(" ");
}

//
//
//
//
//

double getLots(double stopLoss, double risk)
{
   RefreshRates();
   double pPoint = MarketInfo(Symbol(),MODE_POINT);
   double step   = MarketInfo(Symbol(),MODE_LOTSTEP);
   double minLot = MarketInfo(Symbol(),MODE_MINLOT);
   double maxLot = MarketInfo(Symbol(),MODE_MAXLOT);
   double lots   = minLot;
      if (risk>0 && stopLoss>0)
      {
         lots = AccountFreeMargin()*(risk/100.0)/(stopLoss*MarketInfo(Symbol(),MODE_TICKVALUE)/pPoint);
      }
   return(MathMax(MathMin(lots,maxLot),minLot));   
}  